Bug 130167 - gnome-cd can't get freedb info
gnome-cd can't get freedb info
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 13:38 EDT by Aaron Gaudio
Modified: 2013-03-13 00:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:32:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Gaudio 2004-08-17 13:38:23 EDT
Description of problem:
I'm behind a corporate firewall which has an http proxy. The http
proxy is set up (other gnome applications, such as the stock ticker,
use it fine). I have an audio CD ("Nockturnel Mix Sessions feat.
Robert Oleysyck", but this is true for every audio CD I try) that I
insert into the cdrom. gnome-cd is not able to download the cddb
settings for the disc. I've tried both using the default "freedb
round-robin" as well as manually selecting "freedb.freedb.org:888" via
the "CD Database" capplet, to no avail. 

When I open grip, however, grip is able to download the cddb info; and
amazingly I didn't have to turn on any http proxy settings within grip.

Version-Release number of selected component (if applicable):
gnome-media-2.6.0-1


How reproducible:
Always (while behind firewall with http proxy, at least)

Steps to Reproduce:
1. Make sure gnome http proxy settings are correct.
2. Make sure gnome CD Database settings are correct.
3. Insert audio CD into drive.
4. Open gnome cd player.
  
Actual results:
gnome-cd has no disc or track info available.

Expected results:
gnome-cd is able to get CD info from freedb.org just as grip is able
to do.

Additional info:
Comment 1 Colin Walters 2004-09-22 01:03:18 EDT
Is grip using freedb.freedb.org?
Comment 2 Aaron Gaudio 2004-09-22 09:02:14 EDT
Here is my grip config:

DB server: freedb.freedb.org
CGI path: ~cddb/cddb.cgi
DB Submit email: freedb-submit@freedb.org
No secondary server set.

Use freedb extensions: Yes
Perform disc lookups automatically: Yes
Comment 3 Colin Walters 2004-09-24 19:35:30 EDT
Well, if gnome-cd is using your proxy, and freedb isn't, could it
actually be your proxy is blocking gnome-cd?  What if you unset it?
Comment 4 Aaron Gaudio 2004-12-01 16:29:16 EST
Both gnome-cd and grip must be using my proxy because I'm behind a
firewall and it wouldn't get any data otherwise. It must be using my
http_proxy environment variable, since I did not set up the proxy
within grip.
Comment 5 Matthew Miller 2005-04-26 11:43:10 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Aaron Gaudio 2005-04-28 10:30:37 EDT
This still happens in FC3. From browsing the source code for cddb-slave2, it
looks like cddb-slave2 is using parts of the gnet library, so I doubt that it
will even try to use the http proxy.
Comment 7 Matthew Miller 2006-07-10 18:33:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 John Thacker 2006-10-30 09:32:43 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.